# Mixin::RubyEngine

A mixin for querying the platform running Ruby

## Installation

Add this line to your application's Gemfile:

    gem 'mixin-ruby_engine'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mixin-ruby_engine

## Usage

Using it as a Mixin

    require 'mixin/ruby_engine'

    class PowerUp
      include Mixin::RubyEngine
    end

    power_up = PowerUp.new
    power_up.mri?       #=> true
    power_up.jruby?     #=> false
    power_up.rubinius?  #=> false

Using it as a module

    require 'mixin/ruby_engine'

    Mixin::RubyEngine.mri?       #=> true
    Mixin::RubyEngine.jruby?     #=> false
    Mixin::RubyEngine.rubinius?  #=> false

# Authors and Contributors

* Jamie Winsor (<reset@riotgames.com>)

Thank you to all of our [Contributors](https://github.com/RiotGames/mixin-ruby_engine/graphs/contributors), testers, and users.
